Search the VMware Knowledge Base (KB)
View by Article ID

ESXi host version requirements in a vSAN cluster (2148493)

  • 0 Ratings

Details

The compatibility between host ESXi software versions and vSAN on-disk format versions can vary, depending on the software version numbers. 

Upgrading the on-disk format in a vSAN cluster can affect the compatibility of each host's ESXi version.

Solution

This matrix shows which host ESXi versions can form a cluster with other hosts. 
                                                                        
ESXi Version Compatibility with vSAN On-Disk Format
ESXi Version/
On-Disk Format Version
5.5 U3 /
v 1.0
6.0, 6.0 U1 /
v 1.0
6.0, 6.0 U1 /
v 2.0
6.0 U2, 6.5 /
v 1.0
6.0 U2, 6.5 /
v 2.0
6.0 U2, 6.5 /
v 3.0
6.5 EP2 /
v 3.0
6.5 EP2 /
v 5.0
6.5 U1 / v 5.0
5.5 U3 / v 1.0
Yes Yes
No Yes
No No No No Yes
6.0, 6.0 U1 / v 1.0
Yes
Yes Yes Yes
Yes
Yes Yes* No
Yes
6.0, 6.0 U1 / v 2.0
No
Yes Yes Yes Yes Yes Yes* No Yes
6.0 U2, 6.5 / v 1.0 Yes
Yes Yes Yes
Yes
Yes Yes No
Yes
6.0 U2, 6.5 / v 2.0 No
Yes Yes Yes Yes
Yes Yes No
Yes
6.0 U2  / v 3.0 No
Yes* Yes* Yes Yes Yes Yes No
Yes
6.5 EP2 / v 3.0 No Yes* Yes* Yes Yes Yes Yes No Yes
6.5 EP2 / v 5.0 No
No No No No No Yes Yes
Yes
6.5 U1 / v 5.0 Yes Yes Yes Yes Yes Yes Yes Yes Yes
* Disks with on-disk format version 3.0 or later are invisible to hosts with ESXi version 6.0 Update 1 or earlier.

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 0 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.

What can we do to improve this information? (4000 or fewer characters)




Please enter the Captcha code before clicking Submit.
  • 0 Ratings
Actions
KB: